
function loadBiomeTextures( blocks, worldRoot )
	-- Find the biome textures
	local grassBiomeImage = eihort.loadImage( eihort.ProgramPath .. "grasscolor.png" );
	local foliageBiomeImage;
	if not grassBiomeImage then
		grassBiomeImage = eihort.loadImage( "grasscolor.png" );
		if not grassGiomeImage then
			grassBiomeImage = eihort.loadImageZip( MinecraftJar, "misc/grasscolor.png" );
			if not grassBiomeImage then
				grassBiomeImage = eihort.loadImage( worldRoot .. "biomes/grasscolor.png" );
				if grassBiomeImage then
					foliageBiomeImage = eihort.loadImage( worldRoot .. "biomes/foliagecolor.png" );
				end
			else
				foliageBiomeImage = eihort.loadImageZip( MinecraftJar, "misc/foliagecolor.png" );
			end
		else
			foliageBiomeImage = eihort.loadImage( "foliagecolor.png" );
		end
	else
		foliageBiomeImage = eihort.loadImage( eihort.ProgramPath .. "foliagecolor.png" );
	end

	if not grassBiomeImage and not foliageBiomeImage then
		blocks:setBiomeRoot( "" );
	end

	-- Set up the biome channels
	blocks:setBiomeRoot( worldRoot .. "biomes/" );
	blocks:setBiomeDefaultPos( 56/255, 142/255 );
	if grassBiomeImage then
		blocks:setBiomeChannel( 0, false, grassBiomeImage );
	else
		blocks:setBiomeChannel( 0, 0x38/255, 0xa7/255, 0x88/255 );
	end
	if foliageBiomeImage then
		blocks:setBiomeChannel( 1, false, foliageBiomeImage );
		blocks:setBiomeChannel( 2, true, foliageBiomeImage );
	else
		blocks:setBiomeChannel( 1, 0x37/255, 0x9e/255, 0x7f/255 );
		blocks:setBiomeChannel( 2, 0x4c/255, 0x81/255, 0x67/255 );
	end
end


